package controller

import (
	"yuleduiPay/service"

	"github.com/gogf/gf/v2/net/ghttp"
)

// 路由控制类
type Pay struct {
	payService service.Pay
	wxService  service.Wx
}

// 扫码，支付接口
func (t *Pay) RouterGroup(group *ghttp.RouterGroup) {
	group.POST("/login", t.wxService.Login)
	group.POST("/payQrCode", t.payService.PayQrCode)
}
